# SolrQuery::setHighlightAlternateField

(PECL solr >= 0.9.2)

SolrQuery::setHighlightAlternateField — Specifies the backup field to use

### Beschreibung

public SolrQuery::setHighlightAlternateField(string `$field`, string `$field_override` = ?): SolrQuery

If a snippet cannot be generated because there were no matching terms, one can specify a field to use as the backup or default summary

### Parameter-Liste

`field`

  The name of the backup field

`field_override`

  The name of the field we are overriding this setting for.

### Rückgabewerte

Returns the current SolrQuery object, if the return value is used.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open